{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>สศก</title>
    <link href="{% static 'css_oae/column.css' %}" rel="stylesheet">
    <link href="{% static 'css_oae/images.css' %}" rel="stylesheet">
    <link href="{% static 'css_oae/main.css' %}" rel="stylesheet">
    <link href="{% static 'css_oae/search.css' %}" rel="stylesheet">
    <link href="{% static 'css_oae/text.css' %}" rel="stylesheet">
    <link href="{% static 'css_oae/topnav.css' %}" rel="stylesheet">
    <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.10.21/css/jquery.dataTables.min.css">

    <script src="{% static 'js_oae/fontawesome.js' %}"></script>

    <script type="text/javascript" charset="utf8"
        src="https://cdn.datatables.net/1.10.21/js/jquery.dataTables.js"></script>

    <script>
        window.onload = function () {

            var chart = new CanvasJS.Chart("chartContainer", {
                //theme: "light2", // "light1", "light2", "dark1", "dark2"
                animationEnabled: true,
                title: {
                    // text: "Internet users"
                    text: ""
                },
                subtitles: [{
                    // text: "Try Clicking and Hovering over Legends!"
                    text: ""
                }],
                axisX: {
                    lineColor: "black",
                    labelFontColor: "black"
                },
                axisY2: {
                    gridThickness: 0,
                    title: "% of Population",
                    suffix: "%",
                    titleFontColor: "black",
                    labelFontColor: "black"
                },
                legend: {
                    cursor: "pointer",
                    itemmouseover: function (e) {
                        e.dataSeries.lineThickness = e.chart.data[e.dataSeriesIndex].lineThickness * 2;
                        e.dataSeries.markerSize = e.chart.data[e.dataSeriesIndex].markerSize + 2;
                        e.chart.render();
                    },
                    itemmouseout: function (e) {
                        e.dataSeries.lineThickness = e.chart.data[e.dataSeriesIndex].lineThickness / 2;
                        e.dataSeries.markerSize = e.chart.data[e.dataSeriesIndex].markerSize - 2;
                        e.chart.render();
                    },
                    itemclick: function (e) {
                        if (typeof (e.dataSeries.visible) === "undefined" || e.dataSeries.visible) {
                            e.dataSeries.visible = false;
                        } else {
                            e.dataSeries.visible = true;
                        }
                        e.chart.render();
                    }
                },
                toolTip: {
                    shared: true
                },
                data: [{
                    type: "spline",
                    name: "Sweden",
                    markerSize: 5,
                    axisYType: "secondary",
                    xValueFormatString: "YYYY",
                    yValueFormatString: "#,##0.0\"%\"",
                    showInLegend: true,
                    dataPoints: [
                        { x: new Date(2000, 00), y: 47.5 },
                        { x: new Date(2005, 00), y: 84.8 },
                        { x: new Date(2009, 00), y: 91 },
                        { x: new Date(2010, 00), y: 90 },
                        { x: new Date(2011, 00), y: 92.8 },
                        { x: new Date(2012, 00), y: 93.2 },
                        { x: new Date(2013, 00), y: 94.8 },
                        { x: new Date(2014, 00), y: 92.5 }
                    ]
                },
                {
                    type: "spline",
                    name: "UK",
                    markerSize: 5,
                    axisYType: "secondary",
                    xValueFormatString: "YYYY",
                    yValueFormatString: "#,##0.0\"%\"",
                    showInLegend: true,
                    dataPoints: [
                        { x: new Date(2000, 00), y: 26.8 },
                        { x: new Date(2005, 00), y: 70 },
                        { x: new Date(2009, 00), y: 83.6 },
                        { x: new Date(2010, 00), y: 85 },
                        { x: new Date(2011, 00), y: 85.4 },
                        { x: new Date(2012, 00), y: 87.5 },
                        { x: new Date(2013, 00), y: 89.8 },
                        { x: new Date(2014, 00), y: 91.6 }
                    ]
                },
                {
                    type: "spline",
                    name: "UAE",
                    markerSize: 5,
                    axisYType: "secondary",
                    xValueFormatString: "YYYY",
                    yValueFormatString: "#,##0.0\"%\"",
                    showInLegend: true,
                    dataPoints: [
                        { x: new Date(2000, 00), y: 23.6 },
                        { x: new Date(2005, 00), y: 40 },
                        { x: new Date(2009, 00), y: 64 },
                        { x: new Date(2010, 00), y: 68 },
                        { x: new Date(2011, 00), y: 78 },
                        { x: new Date(2012, 00), y: 85 },
                        { x: new Date(2013, 00), y: 86 },
                        { x: new Date(2014, 00), y: 90.4 }
                    ]
                },
                {
                    type: "spline",
                    showInLegend: true,
                    name: "USA",
                    markerSize: 5,
                    axisYType: "secondary",
                    yValueFormatString: "#,##0.0\"%\"",
                    xValueFormatString: "YYYY",
                    dataPoints: [
                        { x: new Date(2000, 00), y: 43.1 },
                        { x: new Date(2005, 00), y: 68 },
                        { x: new Date(2009, 00), y: 71 },
                        { x: new Date(2010, 00), y: 71.7 },
                        { x: new Date(2011, 00), y: 69.7 },
                        { x: new Date(2012, 00), y: 79.3 },
                        { x: new Date(2013, 00), y: 84.2 },
                        { x: new Date(2014, 00), y: 87 }
                    ]
                },
                {
                    type: "spline",
                    name: "Switzerland",
                    markerSize: 5,
                    axisYType: "secondary",
                    xValueFormatString: "YYYY",
                    yValueFormatString: "#,##0.0\"%\"",
                    showInLegend: true,
                    dataPoints: [
                        { x: new Date(2000, 00), y: 47.1 },
                        { x: new Date(2005, 00), y: 70.1 },
                        { x: new Date(2009, 00), y: 81.3 },
                        { x: new Date(2010, 00), y: 83.9 },
                        { x: new Date(2011, 00), y: 85.2 },
                        { x: new Date(2012, 00), y: 85.2 },
                        { x: new Date(2013, 00), y: 86.7 },
                        { x: new Date(2014, 00), y: 87 }
                    ]
                },
                {
                    type: "spline",
                    name: "Honk Kong",
                    markerSize: 5,
                    axisYType: "secondary",
                    xValueFormatString: "YYYY",
                    yValueFormatString: "#,##0.0\"%\"",
                    showInLegend: true,
                    dataPoints: [
                        { x: new Date(2000, 00), y: 27.8 },
                        { x: new Date(2005, 00), y: 56.9 },
                        { x: new Date(2009, 00), y: 69.4 },
                        { x: new Date(2010, 00), y: 72 },
                        { x: new Date(2011, 00), y: 72.2 },
                        { x: new Date(2012, 00), y: 72.9 },
                        { x: new Date(2013, 00), y: 74.2 },
                        { x: new Date(2014, 00), y: 74.6 }
                    ]
                },
                {
                    type: "spline",
                    name: "Russia",
                    markerSize: 5,
                    axisYType: "secondary",
                    xValueFormatString: "YYYY",
                    yValueFormatString: "#,##0.0\"%\"",
                    showInLegend: true,
                    dataPoints: [
                        { x: new Date(2000, 00), y: 2 },
                        { x: new Date(2005, 00), y: 15.2 },
                        { x: new Date(2009, 00), y: 29 },
                        { x: new Date(2010, 00), y: 43 },
                        { x: new Date(2011, 00), y: 49 },
                        { x: new Date(2012, 00), y: 63.8 },
                        { x: new Date(2013, 00), y: 61.4 },
                        { x: new Date(2014, 00), y: 70.5 }
                    ]
                },
                {
                    type: "spline",
                    name: "Ukraine",
                    markerSize: 5,
                    axisYType: "secondary",
                    xValueFormatString: "YYYY",
                    yValueFormatString: "#,##0.0\"%\"",
                    showInLegend: true,
                    dataPoints: [
                        { x: new Date(2000, 00), y: .7 },
                        { x: new Date(2005, 00), y: 3.7 },
                        { x: new Date(2009, 00), y: 17.9 },
                        { x: new Date(2010, 00), y: 23.3 },
                        { x: new Date(2011, 00), y: 28.7 },
                        { x: new Date(2012, 00), y: 35.3 },
                        { x: new Date(2013, 00), y: 41.8 },
                        { x: new Date(2014, 00), y: 43.4 }
                    ]
                },
                {
                    type: "spline",
                    name: "India",
                    markerSize: 5,
                    axisYType: "secondary",
                    xValueFormatString: "YYYY",
                    yValueFormatString: "#,##0.0\"%\"",
                    showInLegend: true,
                    dataPoints: [
                        { x: new Date(2000, 00), y: .5 },
                        { x: new Date(2005, 00), y: 2.4 },
                        { x: new Date(2009, 00), y: 5.1 },
                        { x: new Date(2010, 00), y: 7.5 },
                        { x: new Date(2011, 00), y: 10.1 },
                        { x: new Date(2012, 00), y: 12.6 },
                        { x: new Date(2013, 00), y: 15.1 },
                        { x: new Date(2014, 00), y: 18 }
                    ]
                }]
            });
            chart.render();

        }
    </script>
</head>

<body>
    <div class="header">
        <h2 style="color: #2b4497;">
            <img class="middle" src="http://127.0.0.1:8000/static/assets/logo-top.png" alt="">
            สำนักงานเศรษฐกิจการเกษตร Office of Agricultural Economics
        </h2>
    </div>

    <div class="topnav" id="myTopnav">
        <a href="{% url 'home' %}" class="active">หน้าแรก</a>
        <a href="{% url 'detail' %}">ข้อมูลองค์กร</a>
        <a href="#">ข้อมูลเชิงลึก</a>
        <a href="#">ติดต่อเรา</a>
        <!-- <a href="#home">Home</a>
        <a href="#news">News</a>
        <a href="#contact">Contact</a>
        <a href="#about">About</a> -->
        <a href="javascript:void(0);" class="icon" onclick="myFunctionMenu()">
            <i class="fa fa-bars"></i>
            <!-- <i class="fa fa-user-circle" aria-hidden="true"></i> -->
        </a>
    </div>

    {% block main %}

    {% endblock %}

    <div class="footer">
        <h2>Footer</h2>
    </div>

    <script src="{% static 'js_oae/canvasjs.min.js' %}"></script>
    <!-- <script src="https://canvasjs.com/assets/script/canvasjs.min.js"></script> -->
    <script>
        function myFunctionSearch() {
            var input, filter, ul, li, a, i, txtValue;
            input = document.getElementById("myInput");
            filter = input.value.toUpperCase();
            ul = document.getElementById("myUL");
            li = ul.getElementsByTagName("li");
            for (i = 0; i < li.length; i++) {
                a = li[i].getElementsByTagName("a")[0];
                txtValue = a.textContent || a.innerText;
                if (txtValue.toUpperCase().indexOf(filter) > -1) {
                    li[i].style.display = "";
                } else {
                    li[i].style.display = "none";
                }
            }
        }
    </script>

    <script>
        function myFunctionMenu() {
            var x = document.getElementById("myTopnav");
            if (x.className === "topnav") {
                x.className += " responsive";
            } else {
                x.className = "topnav";
            }
        }
    </script>

    <script>
        filterSelection("all")
        function filterSelection(c) {
            var x, i;
            x = document.getElementsByClassName("filterDiv");
            if (c == "all") c = "";
            for (i = 0; i < x.length; i++) {
                w3RemoveClass(x[i], "show");
                if (x[i].className.indexOf(c) > -1) w3AddClass(x[i], "show");
            }
        }

        function w3AddClass(element, name) {
            var i, arr1, arr2;
            arr1 = element.className.split(" ");
            arr2 = name.split(" ");
            for (i = 0; i < arr2.length; i++) {
                if (arr1.indexOf(arr2[i]) == -1) { element.className += " " + arr2[i]; }
            }
        }

        function w3RemoveClass(element, name) {
            var i, arr1, arr2;
            arr1 = element.className.split(" ");
            arr2 = name.split(" ");
            for (i = 0; i < arr2.length; i++) {
                while (arr1.indexOf(arr2[i]) > -1) {
                    arr1.splice(arr1.indexOf(arr2[i]), 1);
                }
            }
            element.className = arr1.join(" ");
        }

        // Add active class to the current button (highlight it)
        var btnContainer = document.getElementById("myBtnContainer");
        var btns = btnContainer.getElementsByClassName("btn");
        for (var i = 0; i < btns.length; i++) {
            btns[i].addEventListener("click", function () {
                var current = document.getElementsByClassName("active");
                current[0].className = current[0].className.replace(" active", "");
                this.className += " active";
            });
        }
    </script>


</body>

</html>